@import "libs/shared/assets/src/global-style/variable";
@import "libs/shared/assets/src/global-style/color";

:host {
  width: 100%;
}
.main-list-line {
  display: flex;
  justify-content: space-between;
  padding: 24px 18px;
  &__left {
    display: flex;
    align-items: center;
    &__pointer {
      cursor: pointer;
    }
    &__title {
      margin-left: 12px;
      margin-bottom: 0px;
    }
  }
}

.pagination {
  display: flex;
  justify-content: space-between;
  &__icon {
    display: flex;
  }
  &__table-info {
    display: flex;
    column-gap: 10px;
    align-items: center;
    padding-left: 1rem;
    &--text {
      white-space: nowrap;
      font-style: normal;
      font-weight: 400;
      font-size: 14px;
      line-height: 150%;
      color: #4e4b66;
    }
  }
}

.main-list-line-card {
  border-radius: 16px;
  &__footer {
    margin-top: 30px;
  }
  &__button-primary {
    margin-left: 40px;
    border-radius: 8px;
    display: flex;
    align-items: center;
    justify-content: center;
    padding: 10px 16px 10px 16px;
    font-size: 14px;
    min-height: 48px;
    width: 170px;
    background:  #E8EAF6;
    margin-right: 16px;
    color: $bg-primary-default;
    font-weight: bold;
    border: none;
  }
  &__left {
    padding-left: 40px;
    ::ng-deep {
      .ant-input {
        border-radius: 10px !important;
        min-height: 48px;
      }
    }

    &__select {
      width: 100%;
      ::ng-deep {
        .ant-select-selector {
          border-radius: 10px !important;
          min-height: 48px;
          display: flex;
          align-items: center;
        }
        .ant-select-selection-search-input {
          height: 100% !important;
        }
      }
    }

    &__label {
      font-size: 14px;
      line-height: 26px;
      font-weight: bold;
    }
  }
  &__center {
    padding-left: 40px;
    .ant-picker {
      width: 100%;
      border-radius: 10px !important;
      min-height: 48px;
    }
    &__label {
      font-size: 14px;
      line-height: 26px;
      font-weight: bold;
    }
  }
  &__right {
    padding-left: 40px;
    &__label {
      font-size: 14px;
      line-height: 26px;
      font-weight: bold;
    }
    ::ng-deep {
      .ant-select {
        width: 100%;
      }
      .ant-select-selector {
        border-radius: 10px !important;
        min-height: 48px;
        display: flex;
        align-items: center;
        width: 100%;
      }
    }
  }
}

::ng-deep {
  .ant-pagination-item-link {
    border-radius: 8px;
    display: flex !important;
    align-items: center;
    justify-content: center;
  }
  .ant-pagination-item-link-icon {
    margin-right: 14px;
  }

  .ant-pagination-item {
    border-radius: 8px;
  }
  .ant-pagination-item-active {
    border-color: $primary-button-color;
    border-radius: 8px;
    a {
      color: $primary-button-color;
    }
  }
}

.main-list-line-card__table--action {
  &__menu {
    border-radius: 12px;
    &--item {
      display: flex;
      align-items: center;
    }
  }
  &__icon {
    transform: rotate(90deg);
  }
}
.btn-delete {
  border: none !important;
}
.table {
  margin-top: 40px;
}
.rejected {
  background: $active-status-red-global;
  color: $bg-alert-dark;
  min-height: 36px;
  display: flex;
  align-items: center;
  justify-content: center;
  font-size: 13px;
  line-height: 20px;
  border-radius: 6px;
  letter-spacing: 0.25px;
  padding: 4px 8px 4px 8px;
  font-weight: 600;
}

.approved {
  background: $bg-warning-bg;
  color: $bg-warning-label;
  min-height: 36px;
  display: flex;
  align-items: center;
  justify-content: center;
  font-size: 13px;
  line-height: 20px;
  border-radius: 6px;
  letter-spacing: 0.25px;
  padding: 4px 8px 4px 8px;
  font-weight: 600;
}

.active {
  background: $bg-tag-success;
  color: $active-status-green;
  min-height: 36px;
  display: flex;
  align-items: center;
  justify-content: center;
  font-size: 13px;
  line-height: 20px;
  border-radius: 6px;
  letter-spacing: 0.25px;
  padding: 4px 8px 4px 8px;
  font-weight: 600;
}
.text-center {
  text-align: center;
}
